Package org.eclipse.birt.chart.model.component.impl

# Class SeriesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.SeriesImpl

All Implemented Interfaces:
  `Series`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `BarSeriesImpl`, `DialSeriesImpl`, `GanttSeriesImpl`, `LineSeriesImpl`, `PieSeriesImpl`, `StockSeriesImpl`

public class SeriesImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Series
An implementation of the model object ' Series'.

The following features are implemented:

- `Visible`
- `Label`
- `Data Definition`
- `Series Identifier`
- `Data Point`
- `Data Sets`
- `Label Position`
- `Stacked`
- `Triggers`
- `Translucent`
- `Curve Fitting`
- `Cursor`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetCurveFitting(CurveFitting newCurveFitting, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetDataPoint(DataPoint newDataPoint, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`canBeStacked()`
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written
`boolean`
`canParticipateInCombination()`
This method should return true if the series type can be used in a combination chart.
`boolean`
`canShareAxisUnit()`
Indicates if this series graphic element may share a scale unit with other similar elements.
`Series`
`copyInstance()`
`static Series`
`create()`
A convenience method to create an initialized 'Series' instance
`static Series`
`createDefault()`
A convenience method to create an initialized 'Series' instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`Cursor`
`getCursor()`
`CurveFitting`
`getCurveFitting()`
`org.eclipse.emf.common.util.EList<Query>`
`getDataDefinition()`
`DataPoint`
`getDataPoint()`
`DataSet`
`getDataSet()`
Returns the value dataSet.
`DataSet`
`getDataSet(String userkey)`
Returns the user dataSet.
`org.eclipse.emf.common.util.EMap<String,DataSet>`
`getDataSets()`
`int[]`
`getDefinedDataDefinitionIndex()`
Returns the index array of data definitions which must be defined.
`String`
`getDisplayName()`
This method should return a user-friendly name for the series type.
`Label`
`getLabel()`
`Position`
`getLabelPosition()`
`org.eclipse.birt.chart.util.NameSet`
`getLabelPositionScope(ChartDimension dimension)`
Returns supported label positions scope in current series.
`Object`
`getSeriesIdentifier()`
`org.eclipse.emf.common.util.EList<Trigger>`
`getTriggers()`
`boolean`
`isSetLabelPosition()`
`boolean`
`isSetStacked()`
`boolean`
`isSetTranslucent()`
`boolean`
`isSetVisible()`
`boolean`
`isSingleCache()`
The method indicates if painting requests of series should be added to a single cache.
`boolean`
`isStacked()`
`boolean`
`isTranslucent()`
`boolean`
`isVisible()`
`void`
`setCursor(Cursor newCursor)`
`void`
`setCurveFitting(CurveFitting newCurveFitting)`
`void`
`setDataPoint(DataPoint newDataPoint)`
`void`
`setDataSet(String userKey, DataSet newDataSet)`
Sets the user dataSet.
`void`
`setDataSet(DataSet newDataSet)`
Sets the value dataSet.
`void`
`setLabel(Label newLabel)`
`void`
`setLabelPosition(Position newLabelPosition)`
`void`
`setSeriesIdentifier(Object newSeriesIdentifier)`
`void`
`setStacked(boolean newStacked)`
`void`
`setTranslucent(boolean newTranslucent)`
`void`
`setVisible(boolean newVisible)`
`String`
`toString()`
`void`
`translateFrom(Series sourceSeries, int iSeriesDefinitionIndex, Chart chart)`
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary.
`void`
`unsetLabelPosition()`
`void`
`unsetStacked()`
`void`
`unsetTranslucent()`
`void`
`unsetVisible()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### isVisible

public boolean isVisible()

Specified by:
  `isVisible` in interface `Series`
Returns:
  the value of the 'Visible' attribute.
See Also:
  - `Series.isSetVisible()`
  - `Series.unsetVisible()`
  - `Series.setVisible(boolean)`
  - `ComponentPackage.getSeries_Visible()`

### setVisible

public void setVisible(boolean newVisible)

Specified by:
  `setVisible` in interface `Series`
Parameters:
  `newVisible` - the new value of the 'Visible' attribute.
See Also:
  - `Series.isSetVisible()`
  - `Series.unsetVisible()`
  - `Series.isVisible()`

### unsetVisible

public void unsetVisible()

Specified by:
  `unsetVisible` in interface `Series`
See Also:
  - `Series.isSetVisible()`
  - `Series.isVisible()`
  - `Series.setVisible(boolean)`

### isSetVisible

public boolean isSetVisible()

Specified by:
  `isSetVisible` in interface `Series`
Returns:
  whether the value of the 'Visible' attribute is set.
See Also:
  - `Series.unsetVisible()`
  - `Series.isVisible()`
  - `Series.setVisible(boolean)`

### getLabel

public Label getLabel()

Specified by:
  `getLabel` in interface `Series`
Returns:
  the value of the 'Label' containment reference.
See Also:
  - `Series.setLabel(Label)`
  - `ComponentPackage.getSeries_Label()`

### basicSetLabel

public org.eclipse.emf.common.notify.NotificationChain basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLabel

public void setLabel(Label newLabel)

Specified by:
  `setLabel` in interface `Series`
Parameters:
  `newLabel` - the new value of the 'Label' containment reference.
See Also:
  - `Series.getLabel()`

### getDataDefinition

public org.eclipse.emf.common.util.EList<Query> getDataDefinition()

Specified by:
  `getDataDefinition` in interface `Series`
Returns:
  the value of the 'Data Definition' containment reference list.
See Also:
  - `ComponentPackage.getSeries_DataDefinition()`

### getSeriesIdentifier

public Object getSeriesIdentifier()

Specified by:
  `getSeriesIdentifier` in interface `Series`
Returns:
  the value of the 'Series Identifier' attribute.
See Also:
  - `Series.setSeriesIdentifier(String)`
  - `ComponentPackage.getSeries_SeriesIdentifier()`

### setSeriesIdentifier

public void setSeriesIdentifier(Object newSeriesIdentifier)

Specified by:
  `setSeriesIdentifier` in interface `Series`
Parameters:
  `newSeriesIdentifier` - the new value of the 'Series Identifier' attribute.
See Also:
  - `Series.getSeriesIdentifier()`

### getDataPoint

public DataPoint getDataPoint()

Specified by:
  `getDataPoint` in interface `Series`
Returns:
  the value of the 'Data Point' containment reference.
See Also:
  - `Series.setDataPoint(DataPoint)`
  - `ComponentPackage.getSeries_DataPoint()`

### basicSetDataPoint

public org.eclipse.emf.common.notify.NotificationChain basicSetDataPoint(DataPoint newDataPoint, org.eclipse.emf.common.notify.NotificationChain msgs)

### setDataPoint

public void setDataPoint(DataPoint newDataPoint)

Specified by:
  `setDataPoint` in interface `Series`
Parameters:
  `newDataPoint` - the new value of the 'Data Point' containment reference.
See Also:
  - `Series.getDataPoint()`

### getDataSets

public org.eclipse.emf.common.util.EMap<String,DataSet> getDataSets()

Specified by:
  `getDataSets` in interface `Series`
Returns:
  the value of the 'Data Sets' map.
See Also:
  - `ComponentPackage.getSeries_DataSets()`

### getDataSet

public DataSet getDataSet()
Description copied from interface: `Series`
Returns the value dataSet.

Specified by:
  `getDataSet` in interface `Series`
Returns:
  value data set

### setDataSet

public void setDataSet(DataSet newDataSet)
Description copied from interface: `Series`
Sets the value dataSet.

Specified by:
  `setDataSet` in interface `Series`
Parameters:
  `newDataSet` -

### getDataSet

public DataSet getDataSet(String userkey)
Description copied from interface: `Series`
Returns the user dataSet.

Specified by:
  `getDataSet` in interface `Series`
Parameters:
  `userkey` -
Returns:
  user data set

### setDataSet

public void setDataSet(String userKey, DataSet newDataSet)
Description copied from interface: `Series`
Sets the user dataSet.

Specified by:
  `setDataSet` in interface `Series`
Parameters:
  `userKey` -
  `newDataSet` -

### getLabelPosition

public Position getLabelPosition()

Specified by:
  `getLabelPosition` in interface `Series`
Returns:
  the value of the 'Label Position' attribute.
See Also:
  - `Position`
  - `Series.isSetLabelPosition()`
  - `Series.unsetLabelPosition()`
  - `Series.setLabelPosition(Position)`
  - `ComponentPackage.getSeries_LabelPosition()`

### setLabelPosition

public void setLabelPosition(Position newLabelPosition)

Specified by:
  `setLabelPosition` in interface `Series`
Parameters:
  `newLabelPosition` - the new value of the 'Label Position' attribute.
See Also:
  - `Position`
  - `Series.isSetLabelPosition()`
  - `Series.unsetLabelPosition()`
  - `Series.getLabelPosition()`

### unsetLabelPosition

public void unsetLabelPosition()

Specified by:
  `unsetLabelPosition` in interface `Series`
See Also:
  - `Series.isSetLabelPosition()`
  - `Series.getLabelPosition()`
  - `Series.setLabelPosition(Position)`

### isSetLabelPosition

public boolean isSetLabelPosition()

Specified by:
  `isSetLabelPosition` in interface `Series`
Returns:
  whether the value of the 'Label Position' attribute is set.
See Also:
  - `Series.unsetLabelPosition()`
  - `Series.getLabelPosition()`
  - `Series.setLabelPosition(Position)`

### isStacked

public boolean isStacked()

Specified by:
  `isStacked` in interface `Series`
Returns:
  the value of the 'Stacked' attribute.
See Also:
  - `Series.isSetStacked()`
  - `Series.unsetStacked()`
  - `Series.setStacked(boolean)`
  - `ComponentPackage.getSeries_Stacked()`

### setStacked

public void setStacked(boolean newStacked)

Specified by:
  `setStacked` in interface `Series`
Parameters:
  `newStacked` - the new value of the 'Stacked' attribute.
See Also:
  - `Series.isSetStacked()`
  - `Series.unsetStacked()`
  - `Series.isStacked()`

### unsetStacked

public void unsetStacked()

Specified by:
  `unsetStacked` in interface `Series`
See Also:
  - `Series.isSetStacked()`
  - `Series.isStacked()`
  - `Series.setStacked(boolean)`

### isSetStacked

public boolean isSetStacked()

Specified by:
  `isSetStacked` in interface `Series`
Returns:
  whether the value of the 'Stacked' attribute is set.
See Also:
  - `Series.unsetStacked()`
  - `Series.isStacked()`
  - `Series.setStacked(boolean)`

### getTriggers

public org.eclipse.emf.common.util.EList<Trigger> getTriggers()

Specified by:
  `getTriggers` in interface `Series`
Returns:
  the value of the 'Triggers' containment reference list.
See Also:
  - `ComponentPackage.getSeries_Triggers()`

### isTranslucent

public boolean isTranslucent()

Specified by:
  `isTranslucent` in interface `Series`
Returns:
  the value of the 'Translucent' attribute.
See Also:
  - `Series.isSetTranslucent()`
  - `Series.unsetTranslucent()`
  - `Series.setTranslucent(boolean)`
  - `ComponentPackage.getSeries_Translucent()`

### setTranslucent

public void setTranslucent(boolean newTranslucent)

Specified by:
  `setTranslucent` in interface `Series`
Parameters:
  `newTranslucent` - the new value of the 'Translucent' attribute.
See Also:
  - `Series.isSetTranslucent()`
  - `Series.unsetTranslucent()`
  - `Series.isTranslucent()`

### unsetTranslucent

public void unsetTranslucent()

Specified by:
  `unsetTranslucent` in interface `Series`
See Also:
  - `Series.isSetTranslucent()`
  - `Series.isTranslucent()`
  - `Series.setTranslucent(boolean)`

### isSetTranslucent

public boolean isSetTranslucent()

Specified by:
  `isSetTranslucent` in interface `Series`
Returns:
  whether the value of the 'Translucent' attribute is set.
See Also:
  - `Series.unsetTranslucent()`
  - `Series.isTranslucent()`
  - `Series.setTranslucent(boolean)`

### getCurveFitting

public CurveFitting getCurveFitting()

Specified by:
  `getCurveFitting` in interface `Series`
Returns:
  the value of the 'Curve Fitting' containment reference.
See Also:
  - `Series.setCurveFitting(CurveFitting)`
  - `ComponentPackage.getSeries_CurveFitting()`

### basicSetCurveFitting

public org.eclipse.emf.common.notify.NotificationChain basicSetCurveFitting(CurveFitting newCurveFitting, org.eclipse.emf.common.notify.NotificationChain msgs)

### setCurveFitting

public void setCurveFitting(CurveFitting newCurveFitting)

Specified by:
  `setCurveFitting` in interface `Series`
Parameters:
  `newCurveFitting` - the new value of the 'Curve Fitting' containment reference.
See Also:
  - `Series.getCurveFitting()`

### getCursor

public Cursor getCursor()

Specified by:
  `getCursor` in interface `Series`
Returns:
  the value of the 'Cursor' containment reference.
See Also:
  - `Series.setCursor(Cursor)`
  - `ComponentPackage.getSeries_Cursor()`

### basicSetCursor

public org.eclipse.emf.common.notify.NotificationChain basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setCursor

public void setCursor(Cursor newCursor)

Specified by:
  `setCursor` in interface `Series`
Parameters:
  `newCursor` - the new value of the 'Cursor' containment reference.
See Also:
  - `Series.getCursor()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### canParticipateInCombination

public boolean canParticipateInCombination()
Description copied from interface: `Series`
This method should return true if the series type can be used in a combination chart. NOTE: Manually written

Specified by:
  `canParticipateInCombination` in interface `Series`
Returns:
  true means this series can be used in combination chart

### create

public static Series create()
A convenience method to create an initialized 'Series' instance

Returns:
  series instance

### createDefault

public static Series createDefault()
A convenience method to create an initialized 'Series' instance

Returns:
  series instance

### canBeStacked

public boolean canBeStacked()
Description copied from interface: `Series`
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written

Specified by:
  `canBeStacked` in interface `Series`
Returns:
  true means this series can be stacked

### canShareAxisUnit

public boolean canShareAxisUnit()
Description copied from interface: `Series`
Indicates if this series graphic element may share a scale unit with other similar elements. NOTE: Manually written

Specified by:
  `canShareAxisUnit` in interface `Series`
Returns:
  true means this series can share scale unit

### translateFrom

public void translateFrom(Series sourceSeries, int iSeriesDefinitionIndex, Chart chart)
Description copied from interface: `Series`
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary. This method should be overridden by each series type implementation in particular if the series type can participate in a combination. It will be called when converting from one series type to another. The iSeriesDefinitionIndex value is the index of the series definition among all series definitions at the same level (base or orthogonal) NOTE: Manually written

Specified by:
  `translateFrom` in interface `Series`

### getDisplayName

public String getDisplayName()
Description copied from interface: `Series`
This method should return a user-friendly name for the series type. NOTE: Manually written

Specified by:
  `getDisplayName` in interface `Series`
Returns:
  display name for the series type

### isSingleCache

public boolean isSingleCache()
Description copied from interface: `Series`
The method indicates if painting requests of series should be added to a single cache.

Specified by:
  `isSingleCache` in interface `Series`
Returns:
  `true` if painting requests of series should be added to a single cache. False means creating a new Cache for each series.

### copyInstance

public Series copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Series`

### getLabelPositionScope

public org.eclipse.birt.chart.util.NameSet getLabelPositionScope(ChartDimension dimension)
Description copied from interface: `Series`
Returns supported label positions scope in current series. Label position set in series must be in one of these types.

Specified by:
  `getLabelPositionScope` in interface `Series`
Parameters:
  `dimension` - chart dimension
Returns:
  NameSet with supported label positions.

### getDefinedDataDefinitionIndex

public int[] getDefinedDataDefinitionIndex()
Description copied from interface: `Series`
Returns the index array of data definitions which must be defined. For instance, if there are two data definitions in series, and the first one can be not defined, this method will return 1 in integer array; if two of them must be defined, this method will return 0 and 1 in integer array.

Specified by:
  `getDefinedDataDefinitionIndex` in interface `Series`
Returns:
  index array